#include "stdafx.h"
#include "GraphicOutput.h"
#include "MineSweeper.h"

#include <stdlib.h>
#include <time.h>

void maininit(CGraphicOutput *pGO)
{
    srand((unsigned int) time(0L));
    // TODO: modify CMineSweeper to be your own class
    CMineSweeper *game = new CMineSweeper(pGO);

    pGO->SetHandler(game); 
    // the ownership of game is transferred to the UI
    // you don't need to destory this game object
}